package com.yuchen.saas.park.api.vo.property;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @ClassName SaasParkPropertyHandHouseMeterRecordVO
 * @Description TODO
 * @Author mqs
 * @Date 2024/9/30 17:40
 * @Version 1.0
 */
public class SaasParkPropertyHandHouseMeterRecordVO {

    /**
     * 项目id
     */
    @ApiModelProperty(name = "parkId", value = "项目id")
    private Long parkId;
    /**
     * 房间id
     */
    @ApiModelProperty(name = "roomId", value = "房间id")
    private Long roomId;
    /**
     * 仪表类型
     */
    @ApiModelProperty(name = "meterTypeId", value = "仪表类型")
    private Long meterTypeId;
    /**
     * 抄表仪表
     */
    @ApiModelProperty(name = "meter", value = "抄表仪表")
    private String meter;
    /**
     * 上期读数
     */
    @ApiModelProperty(name = "lastReadingNumber", value = "上期读数")
    private BigDecimal lastReadingNumber;
    /**
     * 本期读数
     */
    @ApiModelProperty(name = "currentReadingNumber", value = "本期读数")
    private BigDecimal currentReadingNumber;
    /**
     * 上期读数时间
     */
    @ApiModelProperty(name = "lastReadingTime", value = "上期读数时间")
    private Date lastReadingTime;
    /**
     * 本期读数时间
     */
    @ApiModelProperty(name = "currentReadingTime", value = "本期读数时间")
    private Date currentReadingTime;
    /**
     * 抄表人员
     */
    @ApiModelProperty(name = "readingUser", value = "抄表人员")
    private String readingUser;
    /**
     * 备注信息
     */
    @ApiModelProperty(name = "remark", value = "备注信息")
    private String remark;

    public Long getParkId() {
        return parkId;
    }

    public void setParkId(Long parkId) {
        this.parkId = parkId;
    }

    public Long getRoomId() {
        return roomId;
    }

    public void setRoomId(Long roomId) {
        this.roomId = roomId;
    }

    public Long getMeterTypeId() {
        return meterTypeId;
    }

    public void setMeterTypeId(Long meterTypeId) {
        this.meterTypeId = meterTypeId;
    }

    public String getMeter() {
        return meter;
    }

    public void setMeter(String meter) {
        this.meter = meter;
    }

    public BigDecimal getLastReadingNumber() {
        return lastReadingNumber;
    }

    public void setLastReadingNumber(BigDecimal lastReadingNumber) {
        this.lastReadingNumber = lastReadingNumber;
    }

    public BigDecimal getCurrentReadingNumber() {
        return currentReadingNumber;
    }

    public void setCurrentReadingNumber(BigDecimal currentReadingNumber) {
        this.currentReadingNumber = currentReadingNumber;
    }

    public Date getLastReadingTime() {
        return lastReadingTime;
    }

    public void setLastReadingTime(Date lastReadingTime) {
        this.lastReadingTime = lastReadingTime;
    }

    public Date getCurrentReadingTime() {
        return currentReadingTime;
    }

    public void setCurrentReadingTime(Date currentReadingTime) {
        this.currentReadingTime = currentReadingTime;
    }

    public String getReadingUser() {
        return readingUser;
    }

    public void setReadingUser(String readingUser) {
        this.readingUser = readingUser;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
